aboutsummaryrefslogtreecommitdiffstats
path: root/app-office/fava
diff options
context:
space:
mode:
authorWynn Wolf Arbor2020-04-19 18:43:57 +0200
committerWynn Wolf Arbor2020-04-19 18:43:57 +0200
commitba9bb27430e0ae4647728588a8bc9705613809ff (patch)
tree0618570fee2e871ecab2c5e22106968b7316fb10 /app-office/fava
parentaae106aed5f9be9b27cc196f01990aa242dd4f65 (diff)
downloadpramantha-ba9bb27430e0ae4647728588a8bc9705613809ff.tar.gz
app-office/fava: Bump to 1.14-r2
This commit adds tests and drops support for python 3.6. Package-Manager: Portage-2.3.89, Repoman-2.3.20
Diffstat (limited to 'app-office/fava')
-rw-r--r--app-office/fava/Manifest2
-rw-r--r--app-office/fava/fava-1.14-r2.ebuild (renamed from app-office/fava/fava-1.14-r1.ebuild)13
2 files changed, 13 insertions, 2 deletions
diff --git a/app-office/fava/Manifest b/app-office/fava/Manifest
index 6051c13..44debbd 100644
--- a/app-office/fava/Manifest
+++ b/app-office/fava/Manifest
@@ -1,3 +1,3 @@
DIST fava-1.14.tar.gz 1367651 BLAKE2B 4ce9d1a8eeaa1109b3dcc39df2b97465b854fd019474cafe5b21209be3a3aa30038ff489409da84db7d67467502ad9d88f4b21afa00d5e59bb52573eaa8f3d0f SHA512 1d60344732e6517a4ca5075bd309cf0460a35bff5fd3ff5ca871a6827565eefda36283053019530592c6f53a99535a74319612ec1802ec0f3aed3455b8ec3dba
-EBUILD fava-1.14-r1.ebuild 1040 BLAKE2B b21d3aaec37ccdf314dc439ba7e4ab2d62a65b3ba41bae0d0ae2ae4ccba5b1f5121841c8b046d29b7459966b527c79ddd7de494724aca4555ce0702afe020308 SHA512 4f4196af9d0f0166fb4157aade948b6f5f3e375965a9a12eeb1f775344c6297f4d6032bfab843714d6d9e0f345ceb8862cbe5751d88c54b0688c86bd99c98913
+EBUILD fava-1.14-r2.ebuild 1363 BLAKE2B 9b3d7491a39117b37e33f1bc5f57648a919e04b9648acb7915c88d1e21b70c632cb3e524d8ef816026db25e7db4894c099263b36473e8c407e0d16c21ac78692 SHA512 86ac08e2d9d092ef9ed56d77fca2542ad2e552b674e75764fb4978c3181b319e231b09510ddd73b02d4c5aa40984ef862040bd52fb558d161a3c652b6fbafccb
MISC metadata.xml 219 BLAKE2B 4017e2b1f6b36f72c186cfeb0955be57076a02d087acfd6caf9b9ec56509b5299be8d40dddaffd04433bb290f6dd35c94c59ac02a4f1ad7e63b13648e465e594 SHA512 555d3bce3f8cd9b4d78f59f494c326d7893f12c1907c1eb92107595886fc4a5e89b8b9fda7f434e021a9eede5dfd6d0c1dfee721c268ccad3d6a1865a92204e0
diff --git a/app-office/fava/fava-1.14-r1.ebuild b/app-office/fava/fava-1.14-r2.ebuild
index f4cf01b..9bd08ad 100644
--- a/app-office/fava/fava-1.14-r1.ebuild
+++ b/app-office/fava/fava-1.14-r2.ebuild
@@ -2,7 +2,7 @@
# Distributed under the terms of the GNU General Public License v2
EAPI=7
-PYTHON_COMPAT=( python3_{6,7} )
+PYTHON_COMPAT=( python3_7 )
DISTUTILS_USE_SETUPTOOLS="rdepend"
inherit distutils-r1 elisp-common
@@ -30,3 +30,14 @@ RDEPEND="
dev-python/jaraco-functools[${PYTHON_USEDEP}]
"
DEPEND="dev-python/setuptools[${PYTHON_USEDEP}]"
+
+python_test() {
+ # test_static_url presumes and requires the existence of these two files.
+ # They need only to exist in order for the code to determine the mtime
+ # value.
+ mkdir -p fava/static/{javascript,css} || die
+ touch fava/static/javascript/main.ts || die
+ touch fava/static/css/style.css || die
+
+ py.test -v || die
+}